Index: issm/trunk/src/c/modules/CostFunctionx/CostFunctionx.cpp
===================================================================
--- issm/trunk/src/c/modules/CostFunctionx/CostFunctionx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/CostFunctionx/CostFunctionx.cpp	(revision 3913)
@@ -5,8 +5,8 @@
 #include "./CostFunctionx.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 #include "../SurfaceAreax/SurfaceAreax.h"
 
Index: issm/trunk/src/c/modules/CostFunctionx/CostFunctionx.h
===================================================================
--- issm/trunk/src/c/modules/CostFunctionx/CostFunctionx.h	(revision 3912)
+++ issm/trunk/src/c/modules/CostFunctionx/CostFunctionx.h	(revision 3913)
@@ -6,6 +6,6 @@
 #define _COSTFUNCTIONX_H
 
-#include "../DataSet/DataSet.h"
-#include "../objects/objects.h"
+#include "../../DataSet/DataSet.h"
+#include "../../objects/objects.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/DepthAverageInputx/DepthAverageInputx.cpp
===================================================================
--- issm/trunk/src/c/modules/DepthAverageInputx/DepthAverageInputx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/DepthAverageInputx/DepthAverageInputx.cpp	(revision 3913)
@@ -5,8 +5,8 @@
 #include "./DepthAverageInputx.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 
 void DepthAverageInputx( DataSet* elements,DataSet* nodes, DataSet* vertices, DataSet* loads, DataSet* materials, Parameters* parameters,int enum_type){
Index: issm/trunk/src/c/modules/DepthAverageInputx/DepthAverageInputx.h
===================================================================
--- issm/trunk/src/c/modules/DepthAverageInputx/DepthAverageInputx.h	(revision 3912)
+++ issm/trunk/src/c/modules/DepthAverageInputx/DepthAverageInputx.h	(revision 3913)
@@ -6,5 +6,5 @@
 #define _DEPTHAVERAGEINPUTX_H
 
-#include "../DataSet/DataSet.h"
+#include "../../DataSet/DataSet.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/Dofx/Dofx.cpp
===================================================================
--- issm/trunk/src/c/modules/Dofx/Dofx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/Dofx/Dofx.cpp	(revision 3913)
@@ -5,8 +5,8 @@
 #include "./Dofx.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 
 int Dofx( DofVec** ppartition, DofVec** ptpartition, DataSet* elements,DataSet* nodes, DataSet* vertices, Parameters* parameters) {
Index: issm/trunk/src/c/modules/Dofx/Dofx.h
===================================================================
--- issm/trunk/src/c/modules/Dofx/Dofx.h	(revision 3912)
+++ issm/trunk/src/c/modules/Dofx/Dofx.h	(revision 3913)
@@ -6,6 +6,6 @@
 #define _DOFX_H
 
-#include "../DataSet/DataSet.h"
-#include "../objects/objects.h"
+#include "../../DataSet/DataSet.h"
+#include "../../objects/objects.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/Dux/Dux.cpp
===================================================================
--- issm/trunk/src/c/modules/Dux/Dux.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/Dux/Dux.cpp	(revision 3913)
@@ -5,8 +5,8 @@
 #include "./Dux.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 #include "../SurfaceAreax/SurfaceAreax.h"
 
Index: issm/trunk/src/c/modules/Dux/Dux.h
===================================================================
--- issm/trunk/src/c/modules/Dux/Dux.h	(revision 3912)
+++ issm/trunk/src/c/modules/Dux/Dux.h	(revision 3913)
@@ -6,6 +6,6 @@
 #define _DUX_H
 
-#include "../objects/objects.h"
-#include "../DataSet/DataSet.h"
+#include "../../objects/objects.h"
+#include "../../DataSet/DataSet.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/ElementConnectivityx/ElementConnectivityx.cpp
===================================================================
--- issm/trunk/src/c/modules/ElementConnectivityx/ElementConnectivityx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/ElementConnectivityx/ElementConnectivityx.cpp	(revision 3913)
@@ -10,8 +10,8 @@
 #include "./ElementConnectivityx.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 
 int hascommondedge(double* element1,double* element2);
Index: issm/trunk/src/c/modules/ExtrudeInputx/ExtrudeInputx.cpp
===================================================================
--- issm/trunk/src/c/modules/ExtrudeInputx/ExtrudeInputx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/ExtrudeInputx/ExtrudeInputx.cpp	(revision 3913)
@@ -5,8 +5,8 @@
 #include "./ExtrudeInputx.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 
 void ExtrudeInputx( DataSet* elements,DataSet* nodes, DataSet* vertices, DataSet* loads, DataSet* materials, Parameters* parameters,int enum_type){
Index: issm/trunk/src/c/modules/ExtrudeInputx/ExtrudeInputx.h
===================================================================
--- issm/trunk/src/c/modules/ExtrudeInputx/ExtrudeInputx.h	(revision 3912)
+++ issm/trunk/src/c/modules/ExtrudeInputx/ExtrudeInputx.h	(revision 3913)
@@ -6,5 +6,5 @@
 #define _EXTRUDEINPUTX_H
 
-#include "../DataSet/DataSet.h"
+#include "../../DataSet/DataSet.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/FieldAverageOntoVerticesx/FieldAverageOntoVerticesx.cpp
===================================================================
--- issm/trunk/src/c/modules/FieldAverageOntoVerticesx/FieldAverageOntoVerticesx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/FieldAverageOntoVerticesx/FieldAverageOntoVerticesx.cpp	(revision 3913)
@@ -5,8 +5,8 @@
 #include "./FieldAverageOntoVerticesx.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 
 void FieldAverageOntoVerticesx(Vec* pfield, DataSet* elements,DataSet* nodes, DataSet* vertices, DataSet* loads, DataSet* materials, Parameters* parameters){
Index: issm/trunk/src/c/modules/FieldAverageOntoVerticesx/FieldAverageOntoVerticesx.h
===================================================================
--- issm/trunk/src/c/modules/FieldAverageOntoVerticesx/FieldAverageOntoVerticesx.h	(revision 3912)
+++ issm/trunk/src/c/modules/FieldAverageOntoVerticesx/FieldAverageOntoVerticesx.h	(revision 3913)
@@ -6,5 +6,5 @@
 #define _FIELDAVERAGEVERTICESX_H
 
-#include "../DataSet/DataSet.h"
+#include "../../DataSet/DataSet.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/FieldDepthAveragex/FieldDepthAveragex.cpp
===================================================================
--- issm/trunk/src/c/modules/FieldDepthAveragex/FieldDepthAveragex.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/FieldDepthAveragex/FieldDepthAveragex.cpp	(revision 3913)
@@ -5,8 +5,8 @@
 #include "./FieldDepthAveragex.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 
 void FieldDepthAveragex( Vec field, DataSet* elements,DataSet* nodes, DataSet* vertices, DataSet* loads, DataSet* materials, Parameters* parameters,char* fieldname){
Index: issm/trunk/src/c/modules/FieldDepthAveragex/FieldDepthAveragex.h
===================================================================
--- issm/trunk/src/c/modules/FieldDepthAveragex/FieldDepthAveragex.h	(revision 3912)
+++ issm/trunk/src/c/modules/FieldDepthAveragex/FieldDepthAveragex.h	(revision 3913)
@@ -6,5 +6,5 @@
 #define _FIELDDEPTHAVERAGEX_H
 
-#include "../DataSet/DataSet.h"
+#include "../../DataSet/DataSet.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/FieldExtrudex/FieldExtrudex.cpp
===================================================================
--- issm/trunk/src/c/modules/FieldExtrudex/FieldExtrudex.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/FieldExtrudex/FieldExtrudex.cpp	(revision 3913)
@@ -5,8 +5,8 @@
 #include "./FieldExtrudex.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 
 void FieldExtrudex( Vec field, DataSet* elements,DataSet* nodes, DataSet* vertices, DataSet* loads, DataSet* materials, Parameters* parameters,char* field_name,int collapse){
Index: issm/trunk/src/c/modules/FieldExtrudex/FieldExtrudex.h
===================================================================
--- issm/trunk/src/c/modules/FieldExtrudex/FieldExtrudex.h	(revision 3912)
+++ issm/trunk/src/c/modules/FieldExtrudex/FieldExtrudex.h	(revision 3913)
@@ -6,5 +6,5 @@
 #define _FIELDEXTRUDEX_H
 
-#include "../DataSet/DataSet.h"
+#include "../../DataSet/DataSet.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/GetSolutionFromInputsx/GetSolutionFromInputsx.cpp
===================================================================
--- issm/trunk/src/c/modules/GetSolutionFromInputsx/GetSolutionFromInputsx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/GetSolutionFromInputsx/GetSolutionFromInputsx.cpp	(revision 3913)
@@ -4,8 +4,8 @@
 
 #include "./GetSolutionFromInputsx.h"
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 
 void	GetSolutionFromInputsx( Vec* psolution, DataSet* elements,DataSet* nodes, DataSet* vertices,DataSet* loads, DataSet* materials,  Parameters* parameters, int analysis_type, int sub_analysis_type){
Index: issm/trunk/src/c/modules/GetSolutionFromInputsx/GetSolutionFromInputsx.h
===================================================================
--- issm/trunk/src/c/modules/GetSolutionFromInputsx/GetSolutionFromInputsx.h	(revision 3912)
+++ issm/trunk/src/c/modules/GetSolutionFromInputsx/GetSolutionFromInputsx.h	(revision 3913)
@@ -6,6 +6,6 @@
 #define _GETSOLUTIONFROMINPUTSXX_H
 
-#include "../objects/objects.h"
-#include "../DataSet/DataSet.h"
+#include "../../objects/objects.h"
+#include "../../DataSet/DataSet.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/Gradjx/Gradjx.cpp
===================================================================
--- issm/trunk/src/c/modules/Gradjx/Gradjx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/Gradjx/Gradjx.cpp	(revision 3913)
@@ -5,8 +5,8 @@
 #include "./Gradjx.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 
 void Gradjx( Vec* pgrad_g, int numberofnodes, DataSet* elements,DataSet* nodes, DataSet* vertices, DataSet* loads, DataSet* materials, Parameters* parameters,
Index: issm/trunk/src/c/modules/Gradjx/Gradjx.h
===================================================================
--- issm/trunk/src/c/modules/Gradjx/Gradjx.h	(revision 3912)
+++ issm/trunk/src/c/modules/Gradjx/Gradjx.h	(revision 3913)
@@ -6,6 +6,6 @@
 #define _GRADJX_H
 
-#include "../DataSet/DataSet.h"
-#include "../objects/objects.h"
+#include "../../DataSet/DataSet.h"
+#include "../../objects/objects.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/HoleFillerx/HoleFillerx.cpp
===================================================================
--- issm/trunk/src/c/modules/HoleFillerx/HoleFillerx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/HoleFillerx/HoleFillerx.cpp	(revision 3913)
@@ -8,5 +8,5 @@
 #include <time.h>
 #include "./HoleFillerx.h"
-#include "../shared/shared.h"
+#include "../../shared/shared.h"
 
 int HoleFillerx(double** pimageout,double* image, int lines,int samps,int smooth){
Index: issm/trunk/src/c/modules/InputToResultx/InputToResultx.cpp
===================================================================
--- issm/trunk/src/c/modules/InputToResultx/InputToResultx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/InputToResultx/InputToResultx.cpp	(revision 3913)
@@ -5,9 +5,9 @@
 #include "./InputToResultx.h"
 
-#include "../shared/shared.h"
-#include "../objects/objects.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../objects/objects.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 
 void InputToResultx(Result** presult,DataSet* elements,DataSet* nodes, DataSet* vertices, DataSet* loads, DataSet* materials,Parameters* parameters,int enum_type,int id, double time, int step){
Index: issm/trunk/src/c/modules/InputToResultx/InputToResultx.h
===================================================================
--- issm/trunk/src/c/modules/InputToResultx/InputToResultx.h	(revision 3912)
+++ issm/trunk/src/c/modules/InputToResultx/InputToResultx.h	(revision 3913)
@@ -6,5 +6,5 @@
 #define _INPUTTORESULTX_H
 
-#include "../DataSet/DataSet.h"
+#include "../../DataSet/DataSet.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/InterpFromGridToMeshx/InterpFromGridToMeshx.cpp
===================================================================
--- issm/trunk/src/c/modules/InterpFromGridToMeshx/InterpFromGridToMeshx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/InterpFromGridToMeshx/InterpFromGridToMeshx.cpp	(revision 3913)
@@ -10,6 +10,6 @@
 
 #include "./InterpFromGridToMeshx.h"
-#include "../shared/shared.h"
-#include "../include/include.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
 
 int InterpFromGridToMeshx( Vec* pdata_mesh,double* x_in, int x_rows, double* y_in, int y_rows, double* data, int M, int N, double* x_mesh, double* y_mesh, int nods,double default_value) {
Index: issm/trunk/src/c/modules/InterpFromGridToMeshx/InterpFromGridToMeshx.h
===================================================================
--- issm/trunk/src/c/modules/InterpFromGridToMeshx/InterpFromGridToMeshx.h	(revision 3912)
+++ issm/trunk/src/c/modules/InterpFromGridToMeshx/InterpFromGridToMeshx.h	(revision 3913)
@@ -6,5 +6,5 @@
 #define _INTERPFROMGRIDTOMESHX_H
 
-#include "../toolkits/toolkits.h"
+#include "../../toolkits/toolkits.h"
 
 
Index: issm/trunk/src/c/modules/InterpFromGridToMeshx/InterpFromGridToMeshxt.cpp
===================================================================
--- issm/trunk/src/c/modules/InterpFromGridToMeshx/InterpFromGridToMeshxt.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/InterpFromGridToMeshx/InterpFromGridToMeshxt.cpp	(revision 3913)
@@ -4,5 +4,5 @@
 
 #include "./InterpFromGridToMeshx.h"
-#include "../shared/shared.h"
+#include "../../shared/shared.h"
 
 void* InterpFromGridToMeshxt(void* vpthread_handle){
Index: issm/trunk/src/c/modules/InterpFromMeshToGridx/InterpFromMeshToGridx.cpp
===================================================================
--- issm/trunk/src/c/modules/InterpFromMeshToGridx/InterpFromMeshToGridx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/InterpFromMeshToGridx/InterpFromMeshToGridx.cpp	(revision 3913)
@@ -4,6 +4,6 @@
 
 #include "./InterpFromMeshToGridx.h"
-#include "../shared/shared.h"
-#include "../include/include.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
 
 void InterpFromMeshToGridx(double** px_m,double** py_m,double** pgriddata,double* index_mesh, double* x_mesh, double* y_mesh, int nods,int nels, double* data_mesh, int data_length, double cornereast,double cornernorth,double xposting,double yposting,int nlines,int ncols,double default_value) {
Index: issm/trunk/src/c/modules/InterpFromMeshToGridx/InterpFromMeshToGridx.h
===================================================================
--- issm/trunk/src/c/modules/InterpFromMeshToGridx/InterpFromMeshToGridx.h	(revision 3912)
+++ issm/trunk/src/c/modules/InterpFromMeshToGridx/InterpFromMeshToGridx.h	(revision 3913)
@@ -6,5 +6,5 @@
 #define _INTERPFROMMESHTOGRIDX_H
 
-#include "../toolkits/toolkits.h"
+#include "../../toolkits/toolkits.h"
 
 void InterpFromMeshToGridx(double** px_m,double** py_m,double** pgriddata,double* index_mesh, double* x_mesh, double* y_mesh, int nods,int nels, double* data_mesh, int data_length, double cornereast,double cornernorth,double xposting,double yposting,int nlines,int ncols,double default_value);
Index: issm/trunk/src/c/modules/InterpFromMeshToMesh2dx/InterpFromMeshToMesh2dx.cpp
===================================================================
--- issm/trunk/src/c/modules/InterpFromMeshToMesh2dx/InterpFromMeshToMesh2dx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/InterpFromMeshToMesh2dx/InterpFromMeshToMesh2dx.cpp	(revision 3913)
@@ -4,9 +4,8 @@
 #include "./InterpFromMeshToMesh2dx.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-
-#include "../Bamgx/objects/BamgObjects.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../objects/objects.h"
 
 using namespace bamg;
Index: issm/trunk/src/c/modules/InterpFromMeshToMesh2dx/InterpFromMeshToMesh2dx.h
===================================================================
--- issm/trunk/src/c/modules/InterpFromMeshToMesh2dx/InterpFromMeshToMesh2dx.h	(revision 3912)
+++ issm/trunk/src/c/modules/InterpFromMeshToMesh2dx/InterpFromMeshToMesh2dx.h	(revision 3913)
@@ -6,5 +6,5 @@
 #define _INTERPFROMMESHTOMESH2DX_H
 
-#include "../objects/objects.h"
+#include "../../objects/objects.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/InterpFromMeshToMesh3dx/InterpFromMeshToMesh3dx.cpp
===================================================================
--- issm/trunk/src/c/modules/InterpFromMeshToMesh3dx/InterpFromMeshToMesh3dx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/InterpFromMeshToMesh3dx/InterpFromMeshToMesh3dx.cpp	(revision 3913)
@@ -4,6 +4,6 @@
 
 #include "./InterpFromMeshToMesh3dx.h"
-#include "../shared/shared.h"
-#include "../include/include.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
 
 int InterpFromMeshToMesh3dx( Vec* pdata_prime,double* index_data, double* x_data, double* y_data, double* z_data, int nods_data,int nels_data, double* data, int data_length, double* x_prime, double* y_prime, double* z_prime, int nods_prime,double default_value) {
Index: issm/trunk/src/c/modules/InterpFromMeshToMesh3dx/InterpFromMeshToMesh3dx.h
===================================================================
--- issm/trunk/src/c/modules/InterpFromMeshToMesh3dx/InterpFromMeshToMesh3dx.h	(revision 3912)
+++ issm/trunk/src/c/modules/InterpFromMeshToMesh3dx/InterpFromMeshToMesh3dx.h	(revision 3913)
@@ -6,5 +6,5 @@
 #define _INTERPFROMMESHTOMESH3DX_H
 
-#include "../toolkits/toolkits.h"
+#include "../../toolkits/toolkits.h"
 
 int InterpFromMeshToMesh3dx( Vec* pdata_prime,double* index_data, double* x_data, double* y_data, double* z_data, int nods_data,int nels_data, double* data, int data_length, double* x_prime, double* y_prime, double* z_prime, int nods_prime,double default_value);
Index: issm/trunk/src/c/modules/MassFluxx/MassFluxx.cpp
===================================================================
--- issm/trunk/src/c/modules/MassFluxx/MassFluxx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/MassFluxx/MassFluxx.cpp	(revision 3913)
@@ -5,8 +5,8 @@
 #include "./MassFluxx.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 
 void MassFluxx(double* pmass_flux, DataSet* elements,DataSet* nodes, DataSet* vertices,DataSet* loads,DataSet* materials,Parameters* parameters,  double* segments,int num_segments,double* ug){
Index: issm/trunk/src/c/modules/MassFluxx/MassFluxx.h
===================================================================
--- issm/trunk/src/c/modules/MassFluxx/MassFluxx.h	(revision 3912)
+++ issm/trunk/src/c/modules/MassFluxx/MassFluxx.h	(revision 3913)
@@ -6,6 +6,6 @@
 #define _MASSFLUXX_H
 
-#include "../DataSet/DataSet.h"
-#include "../objects/objects.h"
+#include "../../DataSet/DataSet.h"
+#include "../../objects/objects.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/Mergesolutionfromftogx/Mergesolutionfromftogx.h
===================================================================
--- issm/trunk/src/c/modules/Mergesolutionfromftogx/Mergesolutionfromftogx.h	(revision 3912)
+++ issm/trunk/src/c/modules/Mergesolutionfromftogx/Mergesolutionfromftogx.h	(revision 3913)
@@ -6,5 +6,5 @@
 #define _MERGESOLUTIONFROMFTOGX_H
 
-#include "../objects/objects.h"
+#include "../../objects/objects.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/MeshPartitionx/MeshPartitionx.cpp
===================================================================
--- issm/trunk/src/c/modules/MeshPartitionx/MeshPartitionx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/MeshPartitionx/MeshPartitionx.cpp	(revision 3913)
@@ -4,8 +4,8 @@
 
 #include "./MeshPartitionx.h"
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 
 int MeshPartitionx(int** pepart, int** pnpart, int numberofelements,int numberofgrids,double* elements,
Index: issm/trunk/src/c/modules/Misfitx/Misfitx.cpp
===================================================================
--- issm/trunk/src/c/modules/Misfitx/Misfitx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/Misfitx/Misfitx.cpp	(revision 3913)
@@ -5,8 +5,8 @@
 #include "./Misfitx.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 #include "../SurfaceAreax/SurfaceAreax.h"
 
Index: issm/trunk/src/c/modules/Misfitx/Misfitx.h
===================================================================
--- issm/trunk/src/c/modules/Misfitx/Misfitx.h	(revision 3912)
+++ issm/trunk/src/c/modules/Misfitx/Misfitx.h	(revision 3913)
@@ -6,6 +6,6 @@
 #define _MISFITX_H
 
-#include "../DataSet/DataSet.h"
-#include "../objects/objects.h"
+#include "../../DataSet/DataSet.h"
+#include "../../objects/objects.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/ModelProcessorx/Balancedthickness/CreateConstraintsBalancedthickness.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Balancedthickness/CreateConstraintsBalancedthickness.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/ModelProcessorx/Balancedthickness/CreateConstraintsBalancedthickness.cpp	(revision 3913)
@@ -3,10 +3,10 @@
  */
 
-#include "../../DataSet/DataSet.h"
-#include "../../io/io.h"
-#include "../../toolkits/toolkits.h"
-#include "../../EnumDefinitions/EnumDefinitions.h"
-#include "../../objects/objects.h"
-#include "../../shared/shared.h"
+#include "../../../DataSet/DataSet.h"
+#include "../../../io/io.h"
+#include "../../../toolkits/toolkits.h"
+#include "../../../EnumDefinitions/EnumDefinitions.h"
+#include "../../../objects/objects.h"
+#include "../../../shared/shared.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/modules/ModelProcessorx/Balancedthickness/CreateElementsNodesAndMaterialsBalancedthickness.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Balancedthickness/CreateElementsNodesAndMaterialsBalancedthickness.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/ModelProcessorx/Balancedthickness/CreateElementsNodesAndMaterialsBalancedthickness.cpp	(revision 3913)
@@ -3,11 +3,11 @@
  */
 
-#include "../../DataSet/DataSet.h"
-#include "../../toolkits/toolkits.h"
-#include "../../io/io.h"
-#include "../../EnumDefinitions/EnumDefinitions.h"
-#include "../../objects/objects.h"
-#include "../../shared/shared.h"
-#include "../../include/include.h"
+#include "../../../DataSet/DataSet.h"
+#include "../../../toolkits/toolkits.h"
+#include "../../../io/io.h"
+#include "../../../EnumDefinitions/EnumDefinitions.h"
+#include "../../../objects/objects.h"
+#include "../../../shared/shared.h"
+#include "../../../include/include.h"
 #include "../../MeshPartitionx/MeshPartitionx.h"
 #include "../ModelProcessorx.h"
Index: issm/trunk/src/c/modules/ModelProcessorx/Balancedthickness/CreateLoadsBalancedthickness.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Balancedthickness/CreateLoadsBalancedthickness.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/ModelProcessorx/Balancedthickness/CreateLoadsBalancedthickness.cpp	(revision 3913)
@@ -2,11 +2,11 @@
  */
 
-#include "../../DataSet/DataSet.h"
-#include "../../toolkits/toolkits.h"
-#include "../../io/io.h"
-#include "../../EnumDefinitions/EnumDefinitions.h"
-#include "../../objects/objects.h"
-#include "../../shared/shared.h"
-#include "../../include/include.h"
+#include "../../../DataSet/DataSet.h"
+#include "../../../toolkits/toolkits.h"
+#include "../../../io/io.h"
+#include "../../../EnumDefinitions/EnumDefinitions.h"
+#include "../../../objects/objects.h"
+#include "../../../shared/shared.h"
+#include "../../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/modules/ModelProcessorx/Balancedthickness2/CreateConstraintsBalancedthickness2.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Balancedthickness2/CreateConstraintsBalancedthickness2.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/ModelProcessorx/Balancedthickness2/CreateConstraintsBalancedthickness2.cpp	(revision 3913)
@@ -3,10 +3,10 @@
  */
 
-#include "../../DataSet/DataSet.h"
-#include "../../toolkits/toolkits.h"
-#include "../../EnumDefinitions/EnumDefinitions.h"
-#include "../../objects/objects.h"
-#include "../../shared/shared.h"
-#include "../../io/io.h"
+#include "../../../DataSet/DataSet.h"
+#include "../../../toolkits/toolkits.h"
+#include "../../../EnumDefinitions/EnumDefinitions.h"
+#include "../../../objects/objects.h"
+#include "../../../shared/shared.h"
+#include "../../../io/io.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/modules/ModelProcessorx/Balancedthickness2/CreateElementsNodesAndMaterialsBalancedthickness2.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Balancedthickness2/CreateElementsNodesAndMaterialsBalancedthickness2.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/ModelProcessorx/Balancedthickness2/CreateElementsNodesAndMaterialsBalancedthickness2.cpp	(revision 3913)
@@ -3,11 +3,11 @@
  */
 
-#include "../../DataSet/DataSet.h"
-#include "../../toolkits/toolkits.h"
-#include "../../io/io.h"
-#include "../../EnumDefinitions/EnumDefinitions.h"
-#include "../../objects/objects.h"
-#include "../../shared/shared.h"
-#include "../../include/include.h"
+#include "../../../DataSet/DataSet.h"
+#include "../../../toolkits/toolkits.h"
+#include "../../../io/io.h"
+#include "../../../EnumDefinitions/EnumDefinitions.h"
+#include "../../../objects/objects.h"
+#include "../../../shared/shared.h"
+#include "../../../include/include.h"
 #include "../../MeshPartitionx/MeshPartitionx.h"
 #include "../ModelProcessorx.h"
Index: issm/trunk/src/c/modules/ModelProcessorx/Balancedthickness2/CreateLoadsBalancedthickness2.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Balancedthickness2/CreateLoadsBalancedthickness2.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/ModelProcessorx/Balancedthickness2/CreateLoadsBalancedthickness2.cpp	(revision 3913)
@@ -2,11 +2,11 @@
  */
 
-#include "../../DataSet/DataSet.h"
-#include "../../io/io.h"
-#include "../../toolkits/toolkits.h"
-#include "../../EnumDefinitions/EnumDefinitions.h"
-#include "../../objects/objects.h"
-#include "../../shared/shared.h"
-#include "../../include/include.h"
+#include "../../../DataSet/DataSet.h"
+#include "../../../io/io.h"
+#include "../../../toolkits/toolkits.h"
+#include "../../../EnumDefinitions/EnumDefinitions.h"
+#include "../../../objects/objects.h"
+#include "../../../shared/shared.h"
+#include "../../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/modules/ModelProcessorx/Balancedvelocities/CreateConstraintsBalancedvelocities.cpp
===================================================================
--- issm/trunk/src/c/modules/ModelProcessorx/Balancedvelocities/CreateConstraintsBalancedvelocities.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/ModelProcessorx/Balancedvelocities/CreateConstraintsBalancedvelocities.cpp	(revision 3913)
@@ -3,10 +3,10 @@
  */
 
-#include "../../DataSet/DataSet.h"
-#include "../../toolkits/toolkits.h"
-#include "../../io/io.h"
-#include "../../EnumDefinitions/EnumDefinitions.h"
-#include "../../objects/objects.h"
-#include "../../shared/shared.h"
+#include "../../../DataSet/DataSet.h"
+#include "../../../toolkits/toolkits.h"
+#include "../../../io/io.h"
+#include "../../../EnumDefinitions/EnumDefinitions.h"
+#include "../../../objects/objects.h"
+#include "../../../shared/shared.h"
 #include "../ModelProcessorx.h"
 
